[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# GetWindowSize

Returns the Width and Height of a window, including the window decoration.

## Declaration

Source position: winapih.inc line 161

`function GetWindowSize(`
`Handle: HWND;`
`var Width: Integer;`
`var Height: Integer`
`):Boolean;`

## Description

This function is a Lazarus addition and does not exist in the Windows API. It returns the Width and Height of a window, including the window decoration. To get the size of a form without the window decoration just use TCustomForm.Width and TCustomForm.Height or TCustomForm.ClientWidth and TCustomForm.ClientHeight.

## See also

GetWindowRect |  | Retrieves the bounding rectangle for a window, including the window decoration in screen coordinates.
TForm.ClientWidth |  | The width of the client area for the control.
TForm.ClientHeight |  | The height for the client area on the control.